%if 0%{?el7}
%define dist .el7
%endif

#
# Copyright (c) 2005, 2006, 2007, 2008, 2009, 2010, 2011, Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# Supported rpmbuild options:
#
# --with gd/--without gd 
#	enable/disable gd support
#	Default: --with (had been default in rt < 3.8.0)
%bcond_without gd 

# --with graphviz/--without graphviz
#	enable/disable graphiz support
#	Default: --without (missing deps)
%bcond_without graphviz

# --with devel_mode/--without devel_mode
#	enable/disable building/installing devel files
#	Default: --with
%bcond_without devel_mode

# --with gpg/--without gpg
#	enable/disable building gpg support
#	Default: --without
%bcond_without gpg

# --with tests
#	run testsuite when building the rpm
#	Default: without (doesn't work in chroots.)
%bcond_with tests

# --with smime/--without smime
#   enable/disable building smime support
#   Default: --with
%bcond_without smime

%define RT4_BINDIR		%{_sbindir}
%define RT4_LIBDIR		%{perl_vendorlib}
%define RT4_WWWDIR		%{_datadir}/rt4/html
%define RT4_LOGDIR		%{_localstatedir}/log/rt4
%define RT4_CACHEDIR		%{_localstatedir}/cache/rt4
%define RT4_LOCALSTATEDIR	%{_localstatedir}/lib/rt4

Name:		rt4
Version:	4.4.2
Release:	1%{?dist}
Summary:	Request tracker 4 + japanese font patch

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:		Applications/Internet
License:	GPLv2+
URL:		http://www.bestpractical.com/rt
#Source0:	http://www.bestpractical.com/pub/rt/release/rt-%%{version}.tar.gz
Source0:	https://download.bestpractical.com/pub/rt/release/rt-%{version}.tar.gz
Source3:	rt4.conf.in
Source4:	README.fedora.in
Source5:	rt4.logrotate.in
Source6:	enduser_license.txt
Source7:	ipagui.ttf
Source8:    rt4.cron.in

Patch0:		rt-4.4.0-config.patch
Patch2:		rt-4.4.0-Makefile.patch
Patch4:		rt-4.4.0-japanese.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

# For Debian compatibility
Provides:	request-tracker4 = %{version}-%{release}

# This list is alpha sorted
BuildRequires: perl >= 5.10.1
BuildRequires: perl(Apache::DBI)
BuildRequires: perl(Apache::Session) >= 1.53
BuildRequires: perl(Cache::Simple::TimedExpiry)
BuildRequires: perl(CGI) >= 3.38
BuildRequires: perl(CGI::Cookie) >= 1.20
BuildRequires: perl(CGI::Emulate::PSGI)
BuildRequires: perl(CGI::PSGI) >= 0.12
BuildRequires: perl(Class::ReturnValue) >= 0.40
BuildRequires: perl(Class::Accessor) >= 0.34
BuildRequires: perl(CPAN)
BuildRequires: perl(CSS::Squish) >= 0.06
BuildRequires: perl(Convert::Color)
BuildRequires: perl(Data::ICal)
BuildRequires: perl(Date::Format)
BuildRequires: perl(DateTime) >= 0.44
BuildRequires: perl(DateTime::Locale) >= 0.40
BuildRequires: perl(DBD::mysql) >= 2.1018
BuildRequires: perl(DBI) >= 1.37
BuildRequires: perl(DBIx::SearchBuilder) >= 1.65
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Devel::StackTrace) >= 1.19
BuildRequires: perl(Digest::base)
BuildRequires: perl(Digest::MD5) >= 2.27
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Email::Abstract)
BuildRequires: perl(Email::Address) >= 1.897
BuildRequires: perl(Encode) >= 2.39
BuildRequires: perl(Errno)
%{?with_devel_mode:BuildRequires: perl(File::Find)}
BuildRequires: perl(FCGI::ProcManager)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Spec) >= 0.8
BuildRequires: perl(File::Temp) >= 0.19
%{?with_gd:BuildRequires: perl(GD)}
%{?with_gd:BuildRequires: perl(GD::Graph)}
%{?with_gd:BuildRequires: perl(GD::Text)}
%{?with_gpg:BuildRequires: perl(GnuPG::Interface)}
%{?with_graphviz:BuildRequires: perl(GraphViz)}
BuildRequires: perl(Getopt::Long) >= 2.24
BuildRequires: perl(HTML::Entities)
%{?with_devel_mode:BuildRequires: perl(HTML::Form)}
BuildRequires: perl(HTML::FormatText)
BuildRequires: perl(HTML::Mason) >= 1.43
BuildRequires: perl(HTML::Mason::PSGIHandler) >= 0.52
BuildRequires: perl(HTML::Quoted)
BuildRequires: perl(HTML::RewriteAttributes) >= 0.05
BuildRequires: perl(HTML::Scrubber) >= 0.08
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Server::Simple) >= 0.34
BuildRequires: perl(HTTP::Server::Simple::Mason) >= 0.09
%{?with_graphviz:BuildRequires: perl(IPC::Run)}
%{?with_devel_mode:BuildRequires: perl(IPC::Run3)}
%{?with_graphviz:BuildRequires: perl(IPC::Run::SafeHandles)}
BuildRequires: perl(JavaScript::Minifier)
BuildRequires: perl(JSON)
BuildRequires: perl(Locale::Maketext) >= 1.06
BuildRequires: perl(Locale::Maketext::Fuzzy) >= 0.11
BuildRequires: perl(Locale::Maketext::Lexicon) >= 0.32
BuildRequires: perl(Log::Dispatch) >= 2.30
%{?with_devel_mode:BuildRequires: perl(Log::Dispatch::Perl)}
BuildRequires: perl(LWP)
BuildRequires: perl(LWP::UserAgent) >= 6.0
BuildRequires: perl(Mail::Mailer) >= 1.57
BuildRequires: perl(MIME::Entity) >= 5.504
BuildRequires: perl(MIME::Types)
%{?with_devel_mode:BuildRequires: perl(Module::Refresh) >= 0.03}
BuildRequires: perl(Module::Versions::Report) >= 1.05
BuildRequires: perl(Net::CIDR)
BuildRequires: perl(Net::Server)
BuildRequires: perl(Net::Server::PreFork)
BuildRequires: perl(Net::SMTP)
%{?with_gpg:BuildRequires: perl(PerlIO::eol)}
BuildRequires: perl(Plack) >= 1.0002
BuildRequires: perl(Plack::Middleware::Test::StashWarnings)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Regexp::Common::net::CIDR)
BuildRequires: perl(Regexp::IPv6)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Starlet)
BuildRequires: perl(Storable) >= 2.08
%{?with_devel_mode:BuildRequires: perl(String::ShellQuote)}
BuildRequires: perl(Sys::Syslog) >= 0.16
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::Email)
BuildRequires: perl(Test::WWW::Mechanize::PSGI)
%{?with_devel_mode:BuildRequires: perl(Test::Builder) >= 0.77}
%{?with_devel_mode:BuildRequires: perl(Test::Deep)}
%{?with_devel_mode:BuildRequires: perl(Test::Expect) >= 0.31}
%{?with_devel_mode:BuildRequires: perl(Test::HTTP::Server::Simple) >= 0.09}
%{?with_devel_mode:BuildRequires: perl(Test::HTTP::Server::Simple::StashWarnings)}
%{?with_devel_mode:BuildRequires: perl(Test::MockTime)}
%{?with_devel_mode:BuildRequires: perl(Test::Warn)}
%{?with_devel_mode:BuildRequires: perl(Test::WWW::Mechanize) >= 1.30}
%{?with_devel_mode:BuildRequires: perl(Test::NoWarnings)}
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Text::Password::Pronounceable)
BuildRequires: perl(Text::Quoted) >= 2.07
BuildRequires: perl(Text::Template) >= 1.44
BuildRequires: perl(Text::WikiFormat) >= 0.76
BuildRequires: perl(Text::Wrapper)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Time::ParseDate)
BuildRequires: perl(Tree::Simple) >= 1.04
BuildRequires: perl(UNIVERSAL::require)
%{?with_devel_mode:BuildRequires: perl(WWW::Mechanize)}
BuildRequires: perl(XML::RSS) >= 1.05
%{?with_devel_mode:BuildRequires: perl(XML::Simple)}

%{?with_tests:BuildRequires: perl(DBD::SQLite)}
%{?with_tests:BuildRequires: perl(DBD::mysql)}
%{?with_tests:BuildRequires: perl(DBD::Pg)}

BuildRequires:	/usr/bin/pod2man
BuildRequires:	/usr/sbin/apachectl

# for 4.2
BuildRequires: perl(Role::Basic) >= 0.12
BuildRequires: perl(Date::Extract) >= 0.02
Buildrequires: perl(HTML::FormatText::WithLinks) >= 0.14
BuildRequires: perl(Date::Manip)
BuildRequires: perl(DateTime::Format::Natural) >= 0.67
BuildRequires: perl(Email::Address::List) >= 0.02
BuildRequires: perl(Crypt::Eksblowfish)
BuildRequires: perl(Symbol::Global::Name) >= 0.04
BuildRequires: perl(HTML::FormatText::WithLinks::AndTables)
BuildRequires: perl(Locale::Maketext::Fuzzy) >= 0.11
BuildRequires: perl(Set::Tiny)
BuildRequires: perl(File::Which)
BuildRequires: perl(Mojo::DOM)
BuildRequires: perl(Locale::PO)
BuildRequires: perl(GD::Graph) >= 1.47
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(Net::SSL)
BuildRequires: perl(Mozilla::CA)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(Crypt::X509)
BuildRequires: perl(Data::GUID)
BuildRequires: perl(Crypt::Eksblowfish)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Plack::Handler::Starlet)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(HTTP::Message) >= 6.0
BuildRequires: perl(Mail::Header) >= 2.12
BuildRequires: perl(URI) >= 1.59
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(Test::Pod)

# the original sources carry bundled versions of these
%if 0%{?fedora} >= 19
Requires:	google-droid-sans-fonts
%else
Requires:  /usr/share/fonts/google-droid/DroidSansFallback.ttf
Requires:  /usr/share/fonts/google-droid/DroidSans.ttf
%endif

%if 0%{?fedora} >= 19
BuildRequires:	google-droid-sans-fonts
%else
BuildRequires:  /usr/share/fonts/google-droid/DroidSansFallback.ttf
BuildRequires:  /usr/share/fonts/google-droid/DroidSans.ttf
%endif

# For 4.4.0
BuildRequires:  perl(Business::Hours)
BuildRequires:  perl(CSS::Minifier::XS)
BuildRequires:  perl(JavaScript::Minifier::XS)
BuildRequires:  perl(Scope::Upper)
BuildRequires:  perl(Net::IP)
BuildRequires:  perl(HTML::FormatText::WithLinks::AndTables) >= 0.06

# For 4.4.1
BuildRequires:  perl(Pod::Select)

# For 4.4.0 custom
BuildRequires:  perl(Data::Page::Pageset)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Requires(postun): /bin/rm

# rpm doesn't catch these:
Requires: perl(Apache::Session) >= 1.53
Requires: perl(Calendar::Simple)
Requires: perl(Data::ICal)
Requires: perl(Data::ICal::Entry::Event)
%{?with_gd:Requires: perl(GD::Text)}
%{?with_gd:Requires: perl(GD::Graph::bars)}
%{?with_gd:Requires: perl(GD::Graph::pie)}
Requires: perl(I18N::LangTags::List)
Requires: perl(Locale::Maketext::Fuzzy)
Requires: perl(LWP::MediaTypes)
Requires: perl(mod_perl2)
Requires: perl(Module::Versions::Report) >= 1.05
Requires: perl(Text::Quoted)
Requires: perl(Text::WikiFormat) >= 0.76
Requires: perl(Tree::Simple) >= 1.04
Requires: perl(URI::URL)
Requires: perl(XML::RSS) >= 1.05

# rpm fails to add these:
Provides: perl(RT::Shredder::Exceptions)
Provides: perl(RT::Shredder::Record)
Provides: perl(RT::Shredder::Transaction)
#Provides: perl(RT::Tickets_Overlay_SQL)
Provides: perl(RT::Tickets_SQL)

# Split out. Technically, not actually necessary, but ... let's keep it for now.
Requires: rt4-mailgate

# rpm regression
Provides: config(rt4) = %{version}-%{release}
Requires: config(rt4) = %{version}-%{release}

%{?filter_setup:
# Keep SpamAssassin optional
%filter_from_requires /^perl(Mail::SpamAssassin)/d
# Keep FCGI optional
%filter_from_requires /^perl(FCGI::ProcManager)/d
# Filter bogus requires
%filter_from_requires /^perl()/d
# Filter redundant provides
%filter_from_provides /^perl(RT)$/d
# Filter bogus provides
%filter_from_provides /^perl(HTML::Mason/d
%filter_from_provides /^perl(IO::Handle::CRLF)$/d
# Work-around rpm's depgenerator defect: 
%filter_from_requires /^perl(DBIx::SearchBuilder::Handle::)$/d
%{?perl_default_filter}
}

Conflicts:  rt3
%description
RT is an enterprise-grade ticketing system which enables a group of people
to intelligently and efficiently manage tasks, issues, and requests submitted
by a community of users.

%package mailgate
Summary: rt4's mailgate utility.
Group:   Applications/Internet
# rpm doesn't catch these:
Requires:	perl(Pod::Usage)
Requires:	perl(HTML::TreeBuilder)
Requires:	perl(HTML::FormatText)

Conflicts:  rt3-mailgate
%description mailgate
%{summary}

%if %{with devel_mode}
%package -n perl-RT-Test
Summary: rt4's test utility.
Group:   Applications/Internet
Requires:	rt4 = %{version}-%{release}
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Conflicts:  perl-RT-Test < 4.0.0
%description -n perl-RT-Test
%{summary}
%endif

%prep
%setup -q -n rt-%{version}

sed -e 's,@RT4_CACHEDIR@,%{RT4_CACHEDIR},' %{SOURCE4} \
  > README.fedora
sed -e 's,@RT4_LOGDIR@,%{RT4_LOGDIR},' %{SOURCE5} \
  > rt4.logrotate

# Fixup the tarball shipping with broken permissions
find . \( -name '*.pm' -o -name '*.pm.in' -o -name '*.po' -o -name '*.pod' \) \
  -exec chmod a-x {} \;
chmod -x README* C* aclocal.* config.* *.ac *.in
find etc -type f -exec chmod a-x {} \;

# Upstream tarball contains temporary autotools-files.
rm -rf autom4te.cache config.log config.status

# Fixup the tarball containing generated files
find bin sbin etc -name '*.in' | while read a; do d=$(echo "$a" | sed 's,\.in$,,'); rm "$d"; done

%patch0 -p1 -b .config
%patch2 -p1 -b .makefile
%patch4 -p1 -b .japanese

# Propagate rpm's directories to config.layout
cat << \EOF >> config.layout

#   Fedora directory layout.
<Layout Fedora>
  bindir:		%{RT4_BINDIR}
  sysconfdir:		%{_sysconfdir}/rt4
  libdir:		%{RT4_LIBDIR}
  manualdir:		${datadir}/doc
  localstatedir:	%{RT4_LOCALSTATEDIR}
  htmldir:		%{RT4_WWWDIR}
  fontdir:		%{_datadir}/rt4/fonts
  lexdir:		%{_datadir}/rt4/po
  staticdir:    %{_datadir}/rt4/static
  logfiledir:		%{RT4_LOGDIR}
  masonstatedir:	%{RT4_CACHEDIR}/mason_data
  sessionstatedir:	%{RT4_CACHEDIR}/session_data
  customdir:		%{_prefix}/local/lib/rt4
  custometcdir:		%{_prefix}/local/etc/rt4
  customhtmldir:	${customdir}/html
  customlexdir:		${customdir}/po
  customlibdir:		${customdir}/lib
</Layout>
EOF

# Comment out the Makefile trying to change groups/owners
# Fix DESTDIR support
sed -i \
	-e 's,	chgrp,	: chrgp,g' \
	-e 's,	chown,	: chown,g' \
	-e 's,$(DESTDIR)/,$(DESTDIR),g' \
	-e 's,-o $(BIN_OWNER) -g $(RTGROUP),,g' \
Makefile.in

%build
%configure \
--with-web-user=apache --with-web-group=apache \
--with-db-type=mysql \
--enable-layout=Fedora \
--with-web-handler=modperl2 \
--libdir=%{RT4_LIBDIR} \
%{?with_smime:--enable-smime}%{!?with_smime:--disable-smime} \
%{?with_graphviz:--enable-graphviz}%{!?with_graphviz:--disable-graphviz} \
%{?with_gd:--enable-gd}%{!?with_gd:--disable-gd} \
%{?with_gpg:--enable-gpg}%{!?with_gpg:--disable-gpg}

make %{?_smp_mflags}

# Explicitly check for devel-mode deps
%{?with_devel_mode:%{__perl} ./sbin/rt-test-dependencies --verbose --with-mysql --with-modperl2 --with-dev}

# Generate man-pages
for i in rt rt-crontool rt-mailgate
do
/usr/bin/pod2man bin/$i > bin/$i.1
done

#for i in rt-attributes-viewer rt-clean-sessions rt-dump-metadata rt-email-dashboards rt-email-digest rt-message-catalog rt-server rt-session-viewer rt-setup-database rt-shredder rt-test-dependencies rt-validator standalone_httpd
for i in rt-attributes-viewer rt-clean-sessions rt-dump-metadata rt-email-dashboards rt-email-digest rt-server rt-session-viewer rt-setup-database rt-shredder rt-test-dependencies rt-validator standalone_httpd
do
/usr/bin/pod2man sbin/$i > sbin/$i.8
done

/usr/bin/pod2man etc/RT_Config.pm > etc/rt.5

%install
make install DESTDIR=${RPM_BUILD_ROOT}

# Cleanup the mess rt's configuration leaves behind
rm -f ${RPM_BUILD_ROOT}%{_docdir}/README

# We don't want CPAN
rm -f ${RPM_BUILD_ROOT}%{_sbindir}/rt-test-dependencies

# Install apache configuration
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
sed -e 's,@RT4_WWWDIR@,%{RT4_WWWDIR},g' \
  -e 's,@RT4_BINDIR@,%{RT4_BINDIR},g' \
  %{SOURCE3} > ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/rt4.conf

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 0644 bin/*.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
install -m 0644 sbin/*.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5
install -m 0644 etc/*.5 ${RPM_BUILD_ROOT}%{_mandir}/man5
#install -m 0644 bin/rt-mailgate.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
#install -m 0644 bin/rt-crontool.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
#bin/mason_handler.fcgi.1 \
#  ${RPM_BUILD_ROOT}%{_mandir}/man1

if [ "%{_bindir}" != "%{RT4_BINDIR}" ]; then
  mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
  mv ${RPM_BUILD_ROOT}%{RT4_BINDIR}/rt \
    ${RPM_BUILD_ROOT}%{_bindir}
  mv ${RPM_BUILD_ROOT}%{RT4_BINDIR}/rt-crontool \
    ${RPM_BUILD_ROOT}%{_bindir}
fi

install -d -m755 ${RPM_BUILD_ROOT}%{_prefix}/local/etc/rt4
install -d -m755 ${RPM_BUILD_ROOT}%{_prefix}/local/lib/rt4
install -d -m755 ${RPM_BUILD_ROOT}%{_prefix}/local/lib/rt4/html
install -d -m755 ${RPM_BUILD_ROOT}%{_prefix}/local/lib/rt4/po
install -d -m755 ${RPM_BUILD_ROOT}%{_prefix}/local/lib/rt4/lib

install -d -m755 ${RPM_BUILD_ROOT}%{RT4_LOGDIR}
install -d -m755 ${RPM_BUILD_ROOT}%{RT4_LIBDIR}

# install log rotation stuff
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
install -m 644 rt4.logrotate ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/rt4

install -d -m755 ${RPM_BUILD_ROOT}%{RT4_LOCALSTATEDIR}

install -d -m755 ${RPM_BUILD_ROOT}%{_sysconfdir}/rt4/upgrade
cp -R etc/upgrade/* ${RPM_BUILD_ROOT}%{_sysconfdir}/rt4/upgrade
rm -f ${RPM_BUILD_ROOT}%{_sysconfdir}/rt4/upgrade/*.in

install -d -m755 ${RPM_BUILD_ROOT}%{_datadir}/rt4/fonts
install -m0644 %{SOURCE6} ${RPM_BUILD_ROOT}%{_datadir}/rt4/fonts
install -m0644 %{SOURCE7} ${RPM_BUILD_ROOT}%{_datadir}/rt4/fonts

# Fix permissions
find ${RPM_BUILD_ROOT}%{RT4_WWWDIR} \
  -type f -exec chmod a-x {} \;

# Cron
install -d -m755 ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.d
sed -e 's,@RT4_BINDIR@,%{RT4_BINDIR},g' \
  %{SOURCE8} > ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.d/rt4

# RT_*.pm
install -m644 etc/RT_Config.pm ${RPM_BUILD_ROOT}%{_sysconfdir}/rt4/RT_Config.pm
install -m644 etc/RT_SiteConfig.pm ${RPM_BUILD_ROOT}%{_sysconfdir}/rt4/RT_SiteConfig.pm

%check
# The tests don't work:
# - Require to be run as root
# - Require an operational rt4 system
# - Require packages which are n/a in Fedora
%{?with_tests:make test}

%postun
if [ $1 -eq 0 ]; then
  /bin/rm -rf %{RT4_CACHEDIR}
fi


%files
%defattr(-,root,root,-)
%doc README README.Oracle README.fedora docs/UPGRADING*
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/*
%{_sbindir}/*
%exclude %{_sbindir}/rt-mailgate
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%exclude %{_mandir}/man1/rt-mailgate*
%{RT4_LIBDIR}/*
%exclude %{RT4_LIBDIR}/RT/Test*
%attr(0700,apache,apache) %{RT4_LOGDIR}

%dir %{_sysconfdir}/rt4
%attr(-,root,root)%{_sysconfdir}/rt4/upgrade
%attr(-,root,root)%{_sysconfdir}/rt4/acl*
%attr(-,root,root)%{_sysconfdir}/rt4/schema*
%attr(-,root,root)%{_sysconfdir}/rt4/init*
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/rt4/RT_*

%config(noreplace) %{_sysconfdir}/logrotate.d/rt4
%config(noreplace) %{_sysconfdir}/cron.d/rt4

%dir %{_datadir}/rt4
%{RT4_WWWDIR}
%{_datadir}/rt4/fonts
%{_datadir}/rt4/po
%{_datadir}/rt4/static
%{_datadir}/doc

%config(noreplace) %{_sysconfdir}/httpd/conf.d/rt4.conf

%dir %{RT4_CACHEDIR}
%attr(0770,apache,apache) %{RT4_CACHEDIR}/mason_data
%attr(0770,apache,apache) %{RT4_CACHEDIR}/session_data

%if "%{RT4_LOCALSTATEDIR}" != "%{RT4_CACHEDIR}"
%dir %{RT4_LOCALSTATEDIR}
%endif

%ghost %{_prefix}/local/lib/rt4
%ghost %{_prefix}/local/etc/rt4

%files mailgate
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_sbindir}/rt-mailgate
%{_mandir}/man1/rt-mailgate*

%if %{with devel_mode}
%files -n perl-RT-Test
%defattr(-,root,root,-)
%dir %{RT4_LIBDIR}/RT
%{RT4_LIBDIR}/RT/Test*
%endif

%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 4.4.2-1
- Update to 4.4.2

* Thu Aug 11 2016 momo-i <webmaster@momo-i.org> - 4.4.1-1
- Update to 4.4.1

* Mon Feb 08 2016 momo-i <webmaster@momo-i.org> - 4.4.0-1
- Update to 4.4.0

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 4.2.12-2
- Update dist for centos7

* Fri Aug 28 2015 momo-i <webmaster@momo-i.org> - 4.2.12-1
- Update to 4.2.12

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 4.2.11-3
- Rebuilt for fc23

* Fri Jun 19 2015 momo-i <webmaster@momo-i.org> - 4.2.11-2
- Update to 4.2.11

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 4.2.10-2
- Rebuilt for fc22

* Mon Mar  9 2015 momo-i <webmaster@momo-i.org> - 4.2.10-1
- Update to 4.2.10

* Fri Jan 16 2015 momo-i <webmaster@momo-i.org> - 4.2.9-2
- Update to 4.2.9

* Mon Oct  6 2014 momo-i <webmaster@momo-i.org> - 4.2.8-2
- Update to 4.2.8

* Tue Jan 28 2014 momo-i <webmaster@momo-i.org> - 4.2.2-2
- Update to 4.2.2

* Thu Jul 11 2013 momo-i <webmaster@momo-i.org> - 4.0.13-2
- Cleanup changelog (there were many wrong dates.)
- Change font from file to rpm package

* Fri Jun 07 2013 momo-i <webmaster@momo-i.org> - 4.0.13-1
- Update version 4.0.13.

* Fri Nov 09 2012 momo-i <webmaster@momo-i.org> - 4.0.8-1
- Update version 4.0.8.

* Wed Dec 07 2011 momo-i <webmaster@momo-i.org> - 4.0.4-1
- Update version 4.0.4.

* Fri Jun 10 2011 momo-i <webmaster@momo-i.org> 4.0.0-6
- Confricts with rt3
- rt4.conf modified
- set crontab

* Thu Jun 9 2011 momo-i <webmaster@momo-i.org> 4.0.0-4
- dependency package added.

* Tue Jun 7 2011 momo-i <webmaster@momo-i.org> 4.0.0-2
- Repackaged for RT4.
